%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	Python API for libfixbuf

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		CERT Network Situational Awareness
Name:		pyfixbuf
Version:	0.7.0
Release:	2%{?dist}
URL:		https://tools.netsa.cert.org/pyfixbuf/doc/index.html
License:	GPLv2
Group:		Applications/System

Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{buildroot}
BuildRequires:	%(basename %{__python}) >= 2.6, %(basename %{__python}) < 3.0
BuildRequires:	%(basename %{__python})-devel
BuildRequires:	netsa-python >= 1.4
Requires:	netsa-python >= 1.4
BuildRequires:	libfixbuf-devel >= 2.2.0
BuildRequires:	glib2-devel

%description
pyfixbuf is a Python API for libfixbuf, an implementation of the IPFIX
protocol used for building collecting and exporting processes. pyfixbuf
can be used to write applications, often called mediators, that collect and
export IPFIX. Mediators are useful in modifying, filtering, or adding to the
contents of a message before forwarding to another IPFIX collection point,
or converting IPFIX to another format (text, database, JSON, etc.).

%prep
%setup

%build
%__python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%__install -d %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_docdir}/%{name}/samples
cp -p samples/* %{buildroot}%{_docdir}/%{name}/samples

%clean
# %{__rm} -rf %{buildroot}

%files
%defattr(444, root, root, 0755)
%doc LGPL.txt LICENSE-OPENSOURCE.txt PKG-INFO
%attr(0644, root, root)	%{python_sitelib}/%{name}-%{version}-py*.egg-info
%attr(0755, root, root) %{python_sitelib}/%{name}/__init__.py
%attr(0755, root, root) %{python_sitelib}/%{name}/__init__.pyc
%attr(0755, root, root) %{python_sitelib}/%{name}/__init__.pyo
%attr(0755, root, root) %{python_sitelib}/%{name}/cert/cert_ipfix.xml
%attr(0755, root, root) %{python_sitelib}/%{name}/cert/__init__.py
%attr(0755, root, root) %{python_sitelib}/%{name}/cert/__init__.pyc
%attr(0755, root, root) %{python_sitelib}/%{name}/cert/__init__.pyo
%attr(0755, root, root) %{python_sitelib}/%{name}/_pyfixbuf.so
%attr(0755, root, root) %{python_sitelib}/%{name}/test/__init__.py
%attr(0755, root, root) %{python_sitelib}/%{name}/test/__init__.pyc
%attr(0755, root, root) %{python_sitelib}/%{name}/test/__init__.pyo
%attr(0755, root, root) %{python_sitelib}/%{name}/test/pyfixtest.py
%attr(0755, root, root) %{python_sitelib}/%{name}/test/pyfixtest.pyc
%attr(0755, root, root) %{python_sitelib}/%{name}/test/pyfixtest.pyo
%attr(0755, root, root) %{python_sitelib}/%{name}/test/sampleipfix.ipfix
%attr(0644, root, root) %{_docdir}/%{name}/samples/*


%changelog
* Fri Apr 19 2019 Lawrence R. Rogers <lrr@cert.org> 0.7.0-2
* Release 0.7.0-2
        Rebuilt for libfixbuf-2.3.1.

* Mon Mar 18 2019 Lawrence R. Rogers <lrr@cert.org> 0.7.0-1
* Release 0.7.0-1
	Changed the STL and STML classes to raise an Exception when the user specifies a Template that has an ID of 0.
	Changed the Record class to allow an Python object of type bytearray for information elements whose type is OCTET_ARRAY or MAC_ADDR.
	Fixed a bug that could cause a Session to have a pointer to an invalid Template.
	Changed libfixbuf requirement to v2.2.0 or later.

* Thu Nov 29 2018 Lawrence R. Rogers <lrr@cert.org> 0.6.0-1
* Release 0.6.0-1
	Added a new sample script to visualize IPFIX data: dump_ipfix_metadata.py.
	Fixed a bug when converting a MAC address to text.
	Fixed several bugs that caused either exceptions or crashes.
	Requires libfixbuf-2.2.0.

* Fri Aug 31 2018 Lawrence R. Rogers <lrr@cert.org> 0.5.0-1
* Release 0.5.0-1
	Added several new sample scripts: to find records by IP address, to find records by DNS name, to find records on an unusual port
	Added the cert_ipfix.xml file as resource, and added a new pyfixbuf.cert module for access to it.
	Added the ability to invoke a callback function when a new Template object is read.
	Added new iteration methods to Templates and Records.
	Added a recursive Record iterator for visiting items in a subTemplateMultiList or subTemplateList.
	Made many additional changes, both visible and internal, and fixed several bugs.

* Thu Jul 12 2018 Lawrence R. Rogers <lrr@cert.org> 0.4.0-1
* Release 0.4.0-1
	Added support for parsing a file or a string as an XML registry of information elements to add to an information model.
	Fixed bugs in hanlding of floating point values and signed integers.
	Requires libfixbuf-2.1.0.

* Fri Jun  8 2018 Lawrence R. Rogers <lrr@cert.org> 0.3.0-1
* Release 0.3.0-1
	Rebuilt for libfixbuf 2.0.0
	Fix handling of floating point values.

* Thu Nov  9 2017 Lawrence R. Rogers <lrr@cert.org> 0.2.2-2
* Release 0.2.2-2
	Rebuilt for libfixbuf 1.8.0-1.

* Tue Mar 28 2017 Lawrence R. Rogers <lrr@cert.org> 0.2.2-1
* Release 0.2.2-1
	Fix Memory Leaks.

* Wed Jan 18 2017 Lawrence R. Rogers <lrr@cert.org> 0.2.1-1
* Release 0.2.1-1
	Minor Improvements.
	New sample scripts.
	Bug Fixes in sample scripts.

* Tue Oct 20 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.0-3
* Release 0.2.0-3
	Rebuilt for libfixbuf-1.7.1.

* Wed Jul  1 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.0-2
* Release 0.2.0-2
	Rebuilt for libfixbuf-1.7.0.

* Mon Feb  2 2015 Lawrence R. Rogers <lrr@cert.org> 0.2.0-1
* Release 0.2.0-1
	API Improvements.
	Added the ability to auto-generate templates from collected data without having to define records.
	New BasicList Class.
	Improvements in accessing and creating structured data elements.
	New sample mediators including full YAF mediators.
	Bug Fixes.

* Tue Dec  2 2014 Lawrence R. Rogers <lrr@cert.org> 0.1.0-1
* Release 0.1.0-1
	Initial release
